diff -urN zapping.orig/Makefile zapping/Makefile
--- zapping.orig/Makefile	Tue Sep 27 14:09:03 2005
+++ zapping/Makefile	Tue Sep 27 14:46:20 2005
@@ -1,15 +1,22 @@
 # New ports collection makefile for:	zapping
-# Whom: 	Baptiste Daroussin (baptiste.daroussin@gmail.com)
-# Date created: 20 sept 2005
+# Whom: 		Baptiste Daroussin <baptiste.daroussin@gmail.com>
+# Date created: 	20 sept 2005
+#
+# $FreeBSD$
 #
 
 PORTNAME=	zapping
-PORTVERSION=	0.9.7cvs3
+PORTVERSION=	${PORTVER_MAJ}.${SNAP_VER}
 CATEGORIES=	multimedia
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	zapping
+DISTNAME=	${PORTNAME}-${PORTVER_MAJ}cvs${SNAP_VER}
 
+MAINTAINER=	baptiste.daroussin@gmail.com
 COMMENT=	A Gnome TV viewer supporting bktr devices
+
+PORTVER_MAJ=	0.9.7
+SNAP_VER=	3
 
 USE_LIBTOOL_VER=15
 USE_GMAKE=	yes
diff -urN zapping.orig/pkg-descr zapping/pkg-descr
--- zapping.orig/pkg-descr	Tue Sep 27 14:09:03 2005
+++ zapping/pkg-descr	Tue Sep 27 14:12:06 2005
@@ -1,3 +1,4 @@
-Zapping is a TV viewer for the gnome desktop, it can watch TV, take screenshot, record video and audio, it features deinterlacer and teletext viewer.
+Zapping is a TV viewer for the gnome desktop, it can watch TV, take screenshot,
+record video and audio, it features deinterlacer and teletext viewer.
 
 WWW: zapping.sourceforge.net
diff -urN zapping.orig/pkg-plist zapping/pkg-plist
--- zapping.orig/pkg-plist	Tue Sep 27 14:09:03 2005
+++ zapping/pkg-plist	Tue Sep 27 15:03:55 2005
@@ -1,18 +1,18 @@
 bin/zapping
 bin/zapping_remote
-lib/zapping/plugins/libalirc.zapping.la
+lib/zapping/plugins/libalirc.zapping.a
 lib/zapping/plugins/libalirc.zapping.so
 lib/zapping/plugins/libalirc.zapping.so.0
-lib/zapping/plugins/libdeinterlace.zapping.la
+lib/zapping/plugins/libdeinterlace.zapping.a
 lib/zapping/plugins/libdeinterlace.zapping.so
 lib/zapping/plugins/libdeinterlace.zapping.so.0
-lib/zapping/plugins/libmpeg.zapping.la
+lib/zapping/plugins/libmpeg.zapping.a
 lib/zapping/plugins/libmpeg.zapping.so
 lib/zapping/plugins/libmpeg.zapping.so.0
-lib/zapping/plugins/libscreenshot.zapping.la
+lib/zapping/plugins/libscreenshot.zapping.a
 lib/zapping/plugins/libscreenshot.zapping.so
 lib/zapping/plugins/libscreenshot.zapping.so.0
-lib/zapping/plugins/libteletext.zapping.la
+lib/zapping/plugins/libteletext.zapping.a
 lib/zapping/plugins/libteletext.zapping.so
 lib/zapping/plugins/libteletext.zapping.so.0
 share/applications/zapping.desktop
@@ -50,10 +50,10 @@
 share/pixmaps/zapping/teletext48.png
 share/pixmaps/zapping/vt_loading1.jpeg
 share/pixmaps/zapping/vt_loading2.jpeg
-share/zapping/mpeg_properties.glade2
-share/zapping/screenshot.glade2
-share/zapping/zapping.glade2
-@dirrm share/zapping
+%%DATADIR%%/mpeg_properties.glade2
+%%DATADIR%%/screenshot.glade2
+%%DATADIR%%/zapping.glade2
+@dirrm %%DATADIR%%
 @dirrm share/pixmaps/zapping
 @dirrm share/omf/zapping
 @dirrm share/gnome/help/zapping/C/figures
